### Class

# FwupdPlugin VolumeLocker

#### Description [src]

    final class FwupdPlugin.VolumeLocker : GObject.Object
    {
      /* No available fields */
    }

Easily unmount a volume when an object goes out of scope.

See also: `FuVolume`.

#### Ancestors

- GObject

#### Constructors

###### fu_volume_locker_new

Locks the volume, mounting it and unmounting it as required. If the volume is already mounted then it is not unmounted when the locker is closed.

since: 2.0.15

#### Instance methods

###### fu_volume_locker_close

Closes the volume before it gets cleaned up.

since: 2.0.15

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginVolumeLockerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.